#ifndef __buzzer
#define __buzzer

#include <Arduino.h>

class Buzzer
{
  protected:
    static void playNote(uint16_t frequency, uint16_t duration);

  public:
    static void startup();
    static void select();
    static void click();
    static void completed();
    static void memoryCleared();
};

#endif
