#ifndef __timemenuitem
#define __timemenuitem

#include "screen/menu.h"

class TimeMenuItem : public MenuItem
{
  public:
    TimeMenuItem() : MenuItem() { }

    const char* getTitle();
    const char* getValue();

    bool editable() { return true; }

    bool canIncrement();
    bool canDecrement();
    void incrementValue();
    void decrementValue();
};

#endif