#ifndef __countdown
#define __countdown

#include "screen.h"

/*
 * Countdown screen
 *   Shows the remaining time.
 */
class CountdownScreen : public BaseScreen
{
  private:
    uint32_t mLastDisplayed;

  protected:
    void printRemainingTime();

  public:
    CountdownScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onHide();

    void onButton();
    void onEncoder(int32_t lastPosition, int32_t newPosition);
    void onTick();
};

#endif
