#ifndef __display
#define __display

#include <Arduino.h>
#include <LiquidCrystal.h>

void LCDPrintLine(LiquidCrystal* display, uint8_t y, const char* value, uint8_t margin = 0);
void LCDPrintLineCentered(LiquidCrystal* display, uint8_t y, const char* value, uint8_t margin = 0);

const char* UniqueString(const char* value);

const char* FormatTime(uint16_t time);
const char* FormatPercentage(uint8_t percentage);
const char* FormatPercentageFixedWidth(uint8_t percentage);

#endif