#ifndef __intensitymenuitem
#define __intensitymenuitem

#include "screen/menu.h"

class IntensityMenuItem : public MenuItem
{
  public:
    IntensityMenuItem() : MenuItem() { }

    const char* getTitle();
    const char* getValue();

    bool editable() { return true; }

    bool canIncrement();
    bool canDecrement();
    void incrementValue();
    void decrementValue();
};

#endif