#ifndef __soundmenuitem
#define __soundmenuitem

#include "screen/menu.h"

class SoundMenuItem : public MenuItem
{
  public:
    SoundMenuItem() : MenuItem() { }

    const char* getTitle();
    const char* getValue();

    bool editable() { return true; }

    bool canIncrement();
    bool canDecrement();
    void incrementValue();
    void decrementValue();
};

#endif